# BEGIN SourceDeps(oneline):
BuildRequires: perl(B.pm) perl(JSON/Tiny.pm) perl(Module/Build.pm) perl(Test/Most.pm)
# END SourceDeps(oneline)
%define module_version 0.2
%define module_name Process-Results
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.2
Release: alt1
Summary: Process::Results - standardized structure for returning results of a process
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MI/MIKO/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
use Process::Results;
 
 my $results = Process::Results->new();
 
 some_subroutine(results=>$results) {
    ...
 }
 
 if ($results->success) {}
 else {}
 
 more...
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/P*

%changelog
* Tue Sep 06 2016 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1
- initial import by package builder

